package com.taauav.admin.entity;

import com.taauav.common.domain.Entity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 报警详情表 实体类
 *
 * @author daixiantong
 * @date 2020-05-14
 */
@Data
public class TauvWaterAlarmInfo extends Entity {

    /**
     * 水质报警id
     */
    private Integer waterAlarmId;

    /**
     * 参数名
     */
    private String name;

    /**
     * 标准值
     */
    private BigDecimal standardValue;

    /**
     * 实测值
     */
    private BigDecimal measuredValue;

    /**
     * 实测标准
     */
    private String  measuredStandard;

    /**
     * 超标情况
     */
    private String exceedStandard;
}
