package com.taauav.front.controller;


import com.taauav.common.bean.Response;
import com.taauav.front.service.IUserAdminService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import com.taauav.front.controller.FrontBaseController;

/**
 * <p>
 * 外包人员表 前端控制器
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
@RestController
@RequestMapping("/front/useradmin")
public class UserAdminController extends FrontBaseController {

    @Autowired
    private IUserAdminService userAdminService;

    /**
     * 获取人员列表
     *
     * @return
     */
    @PostMapping("/getUserAdminList")
    public Response getUserAdminList() {
        return userAdminService.getUserAdminList();
    }

}
