package com.taauav.front.service;

import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;
import com.taauav.front.entity.UserAdmin;

/**
 * <p>
 * 外包人员表 服务类
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
public interface IUserAdminService extends IBaseService<UserAdmin> {

    /**
     * 根据用户获取数据
     *
     * @param username
     * @return
     */
    UserAdmin findByUsername(String username);

    /**
     * 获取人员列表
     *
     * @return
     */
    Response getUserAdminList();

    /**
     * 获取管理员数据
     *
     * @param id
     * @return
     */
    UserAdmin getAdminInfo(Integer id);

}
